/*
 * Rahmenwerk-Plug-in "Konfigurationsassistent"
 *
 * Copyright (C) 2018 BitCtrl Systems GmbH
 *
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 3 of the License, or (at your option) any later
 * version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 51
 * Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 *
 * Contact Information:
 * BitCtrl Systems GmbH
 * Weissenfelser Strasse 67
 * 04229 Leipzig
 * Phone: +49 341-490670
 * mailto: info@bitctrl.de
 *
 * Copyright (c) 2011 SWARCO TRAFFIC SYSTEMS GmbH.
 * 
 * Contributors:
 * SWARCO TRAFFIC SYSTEMS GmbH - initial API and implementation
 *
 * Contact Information:
 * SWARCO TRAFFIC SYSTEMS GmbH
 * Adolf-Dambach-Straße
 * D-76571 Gaggenau
 * Phone: +49-7225-64-03
 * Fax: +49-7225-64-300
 * mailto: office.sts@swarco.de
 */

package de.bsvrz.buv.plugin.konfigass;

public class KonfigBereichDaten implements Comparable<KonfigBereichDaten> {
	private Boolean bearbeitung;

	private Boolean modelle;

	private Boolean aktvieren;

	private Boolean objekte;

	private String pidAOE;

	private String pid;

	private Long datumAktivierung;

	private Short versionAktivierung;

	private Short versionAktuell;

	private Short versionFreigabeZurUebernahme;

	private Short versionFreigabeZurAktivierung;

	private Short versionFreigabeZurAktivierungOhne;

	private String name;

	public enum EnumStatusKonfigBereich {
		IMPORT
	}

	private EnumStatusKonfigBereich statusKonfigBereich;

	private String pfad;

	public KonfigBereichDaten(final String pid, final String name, final Boolean bearbeitung, final Boolean modelle,
			final Boolean objekte, final String pidAOE, final Long datumAktivierung, final Short versionAktivierung,
			final Short versionAktuell, final Short versionFreigabeZurUebernahme,
			final Short versionFreigabeZurAktivierung, final Short versionFreigabeZurAktivierungOhne,
			final EnumStatusKonfigBereich statusKonfigBereich, final String pfad) {
		this.pid = pid;
		this.name = name;
		this.bearbeitung = bearbeitung;
		this.modelle = modelle;
		this.objekte = objekte;
		this.pidAOE = pidAOE;
		this.datumAktivierung = datumAktivierung;
		this.versionAktivierung = versionAktivierung;
		this.versionAktuell = versionAktuell;
		this.versionFreigabeZurUebernahme = versionFreigabeZurUebernahme;
		this.versionFreigabeZurAktivierung = versionFreigabeZurAktivierung;
		this.versionFreigabeZurAktivierungOhne = versionFreigabeZurAktivierungOhne;
		this.statusKonfigBereich = statusKonfigBereich;
		this.pfad = pfad;
	}

	public Boolean getBearbeitung() {
		return bearbeitung;
	}

	public void setBearbeitung(final Boolean bearbeitung) {
		this.bearbeitung = bearbeitung;
	}

	public Boolean getModelle() {
		return modelle;
	}

	public void setModelle(final Boolean modelle) {
		this.modelle = modelle;
	}

	public Boolean getObjekte() {
		return objekte;
	}

	public void setObjekte(final Boolean objekte) {
		this.objekte = objekte;
	}

	public String getPidAOE() {
		return pidAOE;
	}

	public void setPidAOE(final String pidAOE) {
		this.pidAOE = pidAOE;
	}

	public String getPid() {
		return pid;
	}

	public void setPid(final String pid) {
		this.pid = pid;
	}

	public Long getDatumAktivierung() {
		return datumAktivierung;
	}

	public void setDatumAktivierung(final Long datumAktivierung) {
		this.datumAktivierung = datumAktivierung;
	}

	public Short getVersionAktivierung() {
		return versionAktivierung;
	}

	public void setVersionAktivierung(final Short versionAktivierung) {
		this.versionAktivierung = versionAktivierung;
	}

	public Short getVersionAktuell() {
		return versionAktuell;
	}

	public void setVersionAktuell(final Short versionAktuell) {
		this.versionAktuell = versionAktuell;
	}

	public Short getVersionFreigabeZurUebernahme() {
		return versionFreigabeZurUebernahme;
	}

	public void setVersionFreigabeZurUebernahme(final Short versionFreigabeZurUebernahme) {
		this.versionFreigabeZurUebernahme = versionFreigabeZurUebernahme;
	}

	public Short getVersionFreigabeZurAktivierung() {
		return versionFreigabeZurAktivierung;
	}

	public void setVersionFreigabeZurAktivierung(final Short versionFreigabeZurAktivierung) {
		this.versionFreigabeZurAktivierung = versionFreigabeZurAktivierung;
	}

	public Short getVersionFreigabeZurAktivierungOhne() {
		return versionFreigabeZurAktivierungOhne;
	}

	public void setVersionFreigabeZurAktivierungOhne(final Short versionFreigabeZurAktivierungOhne) {
		this.versionFreigabeZurAktivierungOhne = versionFreigabeZurAktivierungOhne;
	}

	public EnumStatusKonfigBereich getStatusKonfigBereich() {
		return statusKonfigBereich;
	}

	public void setStatusKonfigBereich(final EnumStatusKonfigBereich statusKonfigBereich) {
		this.statusKonfigBereich = statusKonfigBereich;
	}

	public String getPfad() {
		return pfad;
	}

	public void setPfad(final String pfad) {
		this.pfad = pfad;
	}

	public String getName() {
		return name;
	}

	public void setName(final String name) {
		this.name = name;
	}

	@Override
	public String toString() {
		if (name != null) {
			return name + " (" + pid + ")";
		}

		return "";
	}

	@Override
	public boolean equals(final Object obj) {
		if (obj instanceof KonfigBereichDaten) {
			final KonfigBereichDaten konfigBereichKapsel = (KonfigBereichDaten) obj;
			if ((pid != null) && (konfigBereichKapsel.getPid() != null)) {
				if (pid.equals(konfigBereichKapsel.getPid())) {
					return true;
				}
			}
		}

		return false;
	}

	@Override
	public int hashCode() {
		if (pid == null) {
			return 0;
		}
		return pid.hashCode();
	}

	@Override
	public int compareTo(final KonfigBereichDaten arg0) {
		if (pid.equals(arg0.pid)) {
			return 1;
		}

		return 0;
	}

	public Boolean getAktvieren() {
		return aktvieren;
	}

	public void setAktvieren(final Boolean aktvieren) {
		this.aktvieren = aktvieren;
	}

}
