/*
 * Rahmenwerk-Plug-in "Konfigurationsassistent"
 *
 * Copyright (C) 2018 BitCtrl Systems GmbH
 *
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 3 of the License, or (at your option) any later
 * version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 51
 * Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 *
 * Contact Information:
 * BitCtrl Systems GmbH
 * Weissenfelser Strasse 67
 * 04229 Leipzig
 * Phone: +49 341-490670
 * mailto: info@bitctrl.de
 *
 * Copyright (c) 2011 SWARCO TRAFFIC SYSTEMS GmbH.
 * 
 * Contributors:
 * SWARCO TRAFFIC SYSTEMS GmbH - initial API and implementation
 *
 * Contact Information:
 * SWARCO TRAFFIC SYSTEMS GmbH
 * Adolf-Dambach-Straße
 * D-76571 Gaggenau
 * Phone: +49-7225-64-03
 * Fax: +49-7225-64-300
 * mailto: office.sts@swarco.de
 */

package de.bsvrz.buv.plugin.konfigass;

import org.eclipse.core.runtime.IStatus;
import org.eclipse.core.runtime.Status;
import org.eclipse.jface.resource.ImageDescriptor;
import org.eclipse.swt.graphics.Image;
import org.eclipse.ui.plugin.AbstractUIPlugin;
import org.osgi.framework.BundleContext;

public class KonfigurationsAssistent extends AbstractUIPlugin {

	// The plug-in ID
	public static final String PLUGIN_ID = "de.bsvrz.buv.plugin.konfigass";

	// The shared instance
	private static KonfigurationsAssistent plugin;

	@Override
	public void start(final BundleContext context) throws Exception {
		super.start(context);
		KonfigurationsAssistent.plugin = this;
		final String meldung = "Das Plugin: " + KonfigurationsAssistent.PLUGIN_ID + " wurde geladen.";

		KonfigurationsAssistent.getDefault().getLog().log(new Status(IStatus.INFO, KonfigurationsAssistent.PLUGIN_ID, IStatus.OK, meldung, null));

	}

	@Override
	public void stop(final BundleContext context) throws Exception {
		KonfigurationsAssistent.plugin = null;
		super.stop(context);
	}

	/**
	 * Returns the shared instance
	 *
	 * @return the shared instance
	 */
	public static KonfigurationsAssistent getDefault() {
		return KonfigurationsAssistent.plugin;
	}

	/**
	 * Returns an image descriptor for the image file at the given plug-in relative
	 * path
	 *
	 * @param path
	 *            the path
	 * @return the image descriptor
	 */
	public static ImageDescriptor getImageDescriptor(final String path) {
		return AbstractUIPlugin.imageDescriptorFromPlugin(KonfigurationsAssistent.PLUGIN_ID, path);
	}

	public Image getImage(final String path) {

		Image image = getImageRegistry().get(path);
		if (image == null) {
			final ImageDescriptor imageDescriptor = AbstractUIPlugin.imageDescriptorFromPlugin(KonfigurationsAssistent.PLUGIN_ID,
					path);
			if (imageDescriptor != null) {
				image = imageDescriptor.createImage();
			}
			getImageRegistry().put(path, image);
		}
		return image;
	}
}
