/*
 * Rahmenwerk-Plug-in "Konfigurationsassistent"
 *
 * Copyright (C) 2018 BitCtrl Systems GmbH
 *
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 3 of the License, or (at your option) any later
 * version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 51
 * Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 *
 * Contact Information:
 * BitCtrl Systems GmbH
 * Weissenfelser Strasse 67
 * 04229 Leipzig
 * Phone: +49 341-490670
 * mailto: info@bitctrl.de
 *
 * Copyright (c) 2011 SWARCO TRAFFIC SYSTEMS GmbH.
 * 
 * Contributors:
 * SWARCO TRAFFIC SYSTEMS GmbH - initial API and implementation
 *
 * Contact Information:
 * SWARCO TRAFFIC SYSTEMS GmbH
 * Adolf-Dambach-Straße
 * D-76571 Gaggenau
 * Phone: +49-7225-64-03
 * Fax: +49-7225-64-300
 * mailto: office.sts@swarco.de
 */

package de.bsvrz.buv.plugin.konfigass.assistenten;

import org.eclipse.jface.viewers.IStructuredSelection;
import org.eclipse.jface.wizard.Wizard;
import org.eclipse.ui.INewWizard;
import org.eclipse.ui.IWorkbench;
import org.eclipse.ui.IWorkbenchWizard;

/**
 * Wizard class
 *
 * @author BitCtrl Systems GmbH, Uwe Peuker
 */
public class KbAnlegenAssistent extends Wizard implements INewWizard {

	private KbAnlegenInfoSeite infoSeite;
	private KbAnlegenModell model;

	public KbAnlegenAssistent() {
		super();
		this.model = new KbAnlegenModell();
	}

	@Override
	public void addPages() {
		final KbAnlegenStartSeite planePage = new KbAnlegenStartSeite(model);
		addPage(planePage);
		infoSeite = new KbAnlegenInfoSeite(model);
		addPage(infoSeite);
	}

	/**
	 * @see IWorkbenchWizard#init(IWorkbench, IStructuredSelection)
	 */
	@Override
	public void init(final IWorkbench workbench, final IStructuredSelection selection) {
		// keine Initialisierung erforderlich
	}

	@Override
	public boolean performFinish() {
		return true;
	}

	public KbAnlegenModell getModel() {
		return model;
	}

	public void setModel(final KbAnlegenModell model) {
		this.model = model;
	}

	KbAnlegenInfoSeite getPlanePage2() {
		return infoSeite;
	}
}
