/*
 * Rahmenwerk-Plug-in "Konfigurationsassistent"
 *
 * Copyright (C) 2018 BitCtrl Systems GmbH
 *
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 3 of the License, or (at your option) any later
 * version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 51
 * Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 *
 * Contact Information:
 * BitCtrl Systems GmbH
 * Weissenfelser Strasse 67
 * 04229 Leipzig
 * Phone: +49 341-490670
 * mailto: info@bitctrl.de
 *
 * Copyright (c) 2011 SWARCO TRAFFIC SYSTEMS GmbH.
 * 
 * Contributors:
 * SWARCO TRAFFIC SYSTEMS GmbH - initial API and implementation
 *
 * Contact Information:
 * SWARCO TRAFFIC SYSTEMS GmbH
 * Adolf-Dambach-Straße
 * D-76571 Gaggenau
 * Phone: +49-7225-64-03
 * Fax: +49-7225-64-300
 * mailto: office.sts@swarco.de
 */

package de.bsvrz.buv.plugin.konfigass.assistenten;

import org.eclipse.jface.dialogs.IDialogPage;
import org.eclipse.jface.wizard.WizardPage;
import org.eclipse.swt.SWT;
import org.eclipse.swt.custom.StyledText;
import org.eclipse.swt.events.ModifyEvent;
import org.eclipse.swt.events.ModifyListener;
import org.eclipse.swt.layout.GridData;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Label;
import org.eclipse.swt.widgets.Text;

/**
 * Class representing the first page of the wizard
 *
 * @author BitCtrl Systems GmbH, Uwe Peuker
 */
public class KbAnlegenInfoSeite extends WizardPage implements ModifyListener {

	private Text textInfo;

	private StyledText textInfo2;

	private final KbAnlegenModell model;

	/**
	 * Constructor for HolidayMainPage.
	 *
	 * @param model
	 */
	public KbAnlegenInfoSeite(final KbAnlegenModell model) {
		super("Seite2");
		setTitle("KB Neu");
		setDescription("Schritt 2 : Zusätzliche Informationen");
		this.model = model;
	}

	/**
	 * @see IDialogPage#createControl(Composite)
	 */
	@Override
	public void createControl(final Composite parent) {

		// create the composite to hold the widgets
		final Composite composite = new Composite(parent, SWT.NULL);

		// create the desired layout for this wizard page
		final GridLayout gl = new GridLayout();
		final int ncol = 2;
		gl.numColumns = ncol;
		composite.setLayout(gl);

		final Label labelInfo = new Label(composite, SWT.NONE);
		labelInfo.setText("Kurzinfo");
		textInfo = new Text(composite, SWT.BORDER);
		textInfo.setLayoutData(new GridData(GridData.FILL_HORIZONTAL | GridData.GRAB_HORIZONTAL));
		textInfo.setText(model.getInfo());
		textInfo.addModifyListener(this);

		final Label labelInfo2 = new Label(composite, SWT.NONE);
		labelInfo2.setText("Beschreibung");
		labelInfo2.setLayoutData(new GridData(GridData.FILL_VERTICAL | GridData.VERTICAL_ALIGN_BEGINNING));
		textInfo2 = new StyledText(composite, SWT.BORDER | SWT.MULTI);
		textInfo2.setLayoutData(new GridData(GridData.FILL_BOTH | GridData.GRAB_HORIZONTAL | GridData.GRAB_VERTICAL));
		textInfo2.setText(model.getBeschreibung());
		textInfo2.addModifyListener(this);

		createLine(composite, ncol);

		// set the composite as the control for this page
		setControl(composite);
	}

	/*
	 * Saves the uses choices from this page to the model. Called on exit of the
	 * page
	 */
	private void saveDataToModel() {
		model.setInfo(textInfo.getText().trim());
		model.setBeschreibung(textInfo2.getText().trim());
	}

	private void createLine(final Composite parent, final int ncol) {
		final Label line = new Label(parent, SWT.SEPARATOR | SWT.HORIZONTAL);
		final GridData gridData = new GridData(GridData.FILL_HORIZONTAL);
		gridData.horizontalSpan = ncol;
		line.setLayoutData(gridData);
	}

	@Override
	public void modifyText(final ModifyEvent e) {
		saveDataToModel();
	}
}
