/*
 * Rahmenwerk-Plug-in "Konfigurationsassistent"
 *
 * Copyright (C) 2018 BitCtrl Systems GmbH
 *
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 3 of the License, or (at your option) any later
 * version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 51
 * Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 *
 * Contact Information:
 * BitCtrl Systems GmbH
 * Weissenfelser Strasse 67
 * 04229 Leipzig
 * Phone: +49 341-490670
 * mailto: info@bitctrl.de
 *
 * Copyright (c) 2011 SWARCO TRAFFIC SYSTEMS GmbH.
 * 
 * Contributors:
 * SWARCO TRAFFIC SYSTEMS GmbH - initial API and implementation
 *
 * Contact Information:
 * SWARCO TRAFFIC SYSTEMS GmbH
 * Adolf-Dambach-Straße
 * D-76571 Gaggenau
 * Phone: +49-7225-64-03
 * Fax: +49-7225-64-300
 * mailto: office.sts@swarco.de
 */

package de.bsvrz.buv.plugin.konfigass.assistenten;

import java.io.File;
import java.util.Map;

import org.eclipse.jface.viewers.IStructuredSelection;
import org.eclipse.jface.wizard.Wizard;
import org.eclipse.ui.INewWizard;
import org.eclipse.ui.IWorkbench;
import org.eclipse.ui.IWorkbenchWizard;

/**
 * Wizard class
 *
 * @author BitCtrl Systems GmbH, Uwe Peuker
 */
public class KbEntfernenHinzufuegenAssistent extends Wizard implements INewWizard {

	private KbEntfernenHinzufuegenModell model;
	private final String dateiPfad;
	private final boolean neu;

	/**
	 * Constructor for HolidayMainWizard.
	 */
	public KbEntfernenHinzufuegenAssistent(final String pidAoe, final boolean neu, final Map<String, File> list) {
		this(pidAoe, neu);
		model.setList(list);
	}

	/**
	 * Constructor for HolidayMainWizard.
	 */
	public KbEntfernenHinzufuegenAssistent(final String dateiPfad, final boolean neu) {
		super();
		this.neu = neu;
		this.dateiPfad = dateiPfad;
		model = new KbEntfernenHinzufuegenModell();
	}

	@Override
	public void addPages() {
		final KbHinzufuegenEntfernenStartSeite seiteStart = new KbHinzufuegenEntfernenStartSeite(dateiPfad, neu);
		addPage(seiteStart);
	}

	/**
	 * @see IWorkbenchWizard#init(IWorkbench, IStructuredSelection)
	 */
	@Override
	public void init(final IWorkbench workbench, final IStructuredSelection selection) {
		// keine Initialisierung erforderlich
	}

	@Override
	public boolean performFinish() {
		return true;
	}

	public KbEntfernenHinzufuegenModell getModel() {
		return model;
	}

	public void setModel(final KbEntfernenHinzufuegenModell model) {
		this.model = model;
	}
}
