/*
 * Rahmenwerk-Plug-in "Konfigurationsassistent"
 *
 * Copyright (C) 2018 BitCtrl Systems GmbH
 *
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 3 of the License, or (at your option) any later
 * version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 51
 * Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 *
 * Contact Information:
 * BitCtrl Systems GmbH
 * Weissenfelser Strasse 67
 * 04229 Leipzig
 * Phone: +49 341-490670
 * mailto: info@bitctrl.de
 *
 * Copyright (c) 2011 SWARCO TRAFFIC SYSTEMS GmbH.
 * 
 * Contributors:
 * SWARCO TRAFFIC SYSTEMS GmbH - initial API and implementation
 *
 * Contact Information:
 * SWARCO TRAFFIC SYSTEMS GmbH
 * Adolf-Dambach-Straße
 * D-76571 Gaggenau
 * Phone: +49-7225-64-03
 * Fax: +49-7225-64-300
 * mailto: office.sts@swarco.de
 */

package de.bsvrz.buv.plugin.konfigass.assistenten;

import org.eclipse.jface.wizard.Wizard;

/**
 * Wizard class
 *
 * @author BitCtrl Systems GmbH, Uwe Peuker
 *
 */
public class KvAoeNeuAssistent extends Wizard {
	// wizard pages
	private KvAoeNeuStartSeite seiteStart;

	private KvAoeNeuSeite1 seite1;

	private KvAoeNeuSeite2 seite2;

	private KvAoeNeuSeite3 seite3;

	// the model
	private KvAoeNeuModell model;

	/**
	 * Constructor for HolidayMainWizard.
	 */
	public KvAoeNeuAssistent() {
		super();
		model = new KvAoeNeuModell();
		setNeedsProgressMonitor(true);
	}

	@Override
	public void addPages() {
		seiteStart = new KvAoeNeuStartSeite();
		addPage(seiteStart);

		seite1 = new KvAoeNeuSeite1();
		addPage(seite1);
		seite2 = new KvAoeNeuSeite2();
		addPage(seite2);
		seite3 = new KvAoeNeuSeite3();
		addPage(seite3);

	}

	@Override
	public boolean canFinish() {
		if (getContainer().getCurrentPage() == seiteStart) {
			return false;
		}

		return super.canFinish();
	}

	@Override
	public boolean performFinish() {
		return true;
	}

	public KvAoeNeuModell getModel() {
		return model;
	}

	public void setModel(final KvAoeNeuModell model) {
		this.model = model;
	}

	KvAoeNeuSeite1 getSeite1() {
		return seite1;
	}

	KvAoeNeuSeite2 getSeite2() {
		return seite2;
	}

	KvAoeNeuSeite3 getSeite3() {
		return seite3;
	}
}
