/*
 * Rahmenwerk-Plug-in "Konfigurationsassistent"
 *
 * Copyright (C) 2018 BitCtrl Systems GmbH
 *
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 3 of the License, or (at your option) any later
 * version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 51
 * Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 *
 * Contact Information:
 * BitCtrl Systems GmbH
 * Weissenfelser Strasse 67
 * 04229 Leipzig
 * Phone: +49 341-490670
 * mailto: info@bitctrl.de
 *
 * Copyright (c) 2011 SWARCO TRAFFIC SYSTEMS GmbH.
 * 
 * Contributors:
 * SWARCO TRAFFIC SYSTEMS GmbH - initial API and implementation
 *
 * Contact Information:
 * SWARCO TRAFFIC SYSTEMS GmbH
 * Adolf-Dambach-Straße
 * D-76571 Gaggenau
 * Phone: +49-7225-64-03
 * Fax: +49-7225-64-300
 * mailto: office.sts@swarco.de
 */

package de.bsvrz.buv.plugin.konfigass.log;

import org.eclipse.jface.layout.GridDataFactory;
import org.eclipse.jface.layout.GridLayoutFactory;
import org.eclipse.swt.SWT;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.ui.PlatformUI;
import org.eclipse.ui.part.ViewPart;

/**
 * Meldungsansicht des Konfigurationsassistenten.
 * 
 * @author BitCtrl Systems GmbH, Uwe Peuker
 */
public class ErrorView extends ViewPart {
	
	public static final String ID = "de.bsvrz.buv.plugin.konfigass.errorview";

	// ~ FELDER ================================================================

	/** Instanz der Protokoll-GUI-Verwaltung. */
	private ProtokollGUIVerwaltung protokoll;

	private Composite mainPanel;

	@Override
	public void createPartControl(final Composite parent) {

		PlatformUI.getWorkbench().getHelpSystem().setHelp(parent, "de.bsvrz.buv.plugin.konfigass" + ".meldungen");

		parent.setLayout(new GridLayout(1, false));

		mainPanel = new Composite(parent, SWT.NONE);
		GridDataFactory.fillDefaults().grab(true, true).applyTo(mainPanel);
		GridLayoutFactory.fillDefaults().applyTo(mainPanel);
		
		final ProtokollGUI protokollGui = new ProtokollGUI(mainPanel);

		protokoll = protokollGui.getGuiVew();
	}

	// ~ GET METHODEN ==========================================================

	/**
	 * Liefert das Protokollobjekt, über das Meldungen verwaltet werden.
	 *
	 * @return Das Protokollobjekt, über das Meldungen verwaltet werden.
	 */
	public ProtokollGUIVerwaltung getProtokoll() {
		return protokoll;
	}

	// ~ SET METHODEN ==========================================================

	@Override
	public void setFocus() {
		// Für die F1 Taste
		if (mainPanel != null) {
			mainPanel.setFocus();
		}
	}
}

// ~Formatiert mit 'inovat Kodierkonvention' am 16.04.10
